Loading...
Searching...
No Matches
Catch::AssertionHandler Class Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::AssertionHandler:
[legend]

## Public Member Functions

| AssertionHandler (StringRef macroName, SourceLineInfo const &lineInfo, StringRef capturedExpression, ResultDisposition::Flags resultDisposition)
| ~AssertionHandler ()
template<typename T>
constexpr void | handleExpr (ExprLhs< T > const &expr)
void | handleExpr (ITransientExpression const &expr)
void | handleMessage (ResultWas::OfType resultType, std::string &&message)
void | handleExceptionThrownAsExpected ()
void | handleUnexpectedExceptionNotThrown ()
void | handleExceptionNotThrownAsExpected ()
void | handleThrowingCallSkipped ()
void | handleUnexpectedInflightException ()
void | complete ()
auto | allowThrows () const -> bool

## Private Attributes

AssertionInfo | m_assertionInfo
AssertionReaction | m_reaction
bool | m_completed = false
IResultCapture & | m_resultCapture

## Constructor & Destructor Documentation

## AssertionHandler()

Catch::AssertionHandler::AssertionHandler | ( | StringRef | macroName,
|  | SourceLineInfo const & | lineInfo,
|  | StringRef | capturedExpression,
|  | ResultDisposition::Flags | resultDisposition )

Here is the call graph for this function:

## ~AssertionHandler()

Catch::AssertionHandler::~AssertionHandler | ( |  | ) |

inline

## Member Function Documentation

## allowThrows()

auto Catch::AssertionHandler::allowThrows | ( |  | ) | const -> bool

Here is the call graph for this function:

## complete()

void Catch::AssertionHandler::complete | ( |  | ) |

Here is the call graph for this function:

## handleExceptionNotThrownAsExpected()

void Catch::AssertionHandler::handleExceptionNotThrownAsExpected | ( |  | ) |

## handleExceptionThrownAsExpected()

void Catch::AssertionHandler::handleExceptionThrownAsExpected | ( |  | ) |

## handleExpr() [1/2]

template<typename T>

void Catch::AssertionHandler::handleExpr | ( | ExprLhs< T > const & | expr | ) |

inlineconstexpr

Here is the call graph for this function:
Here is the caller graph for this function:

## handleExpr() [2/2]

void Catch::AssertionHandler::handleExpr | ( | ITransientExpression const & | expr | ) |

## handleMessage()

void Catch::AssertionHandler::handleMessage | ( | ResultWas::OfType | resultType,
|  | std::string && | message )

## handleThrowingCallSkipped()

void Catch::AssertionHandler::handleThrowingCallSkipped | ( |  | ) |

## handleUnexpectedExceptionNotThrown()

void Catch::AssertionHandler::handleUnexpectedExceptionNotThrown | ( |  | ) |

## handleUnexpectedInflightException()

void Catch::AssertionHandler::handleUnexpectedInflightException | ( |  | ) |

Here is the call graph for this function:

## Member Data Documentation

## m_assertionInfo

AssertionInfo Catch::AssertionHandler::m_assertionInfo

private

## m_completed

bool Catch::AssertionHandler::m_completed = false

private

## m_reaction

AssertionReaction Catch::AssertionHandler::m_reaction

private

## m_resultCapture

IResultCapture& Catch::AssertionHandler::m_resultCapture

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp